it.csi.mddtools.guigen

## Enum UDLRCSpecConstants

- java.lang.Object
- - java.lang.Enum<UDLRCSpecConstants>
  - - it.csi.mddtools.guigen.UDLRCSpecConstants

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UDLRCSpecConstants>, org.eclipse.emf.common.util.Enumerator

      public enum UDLRCSpecConstants
      extends java.lang.Enum<UDLRCSpecConstants>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'UDLRC Spec Constants', and utility methods for working with them. Valori ammissibili per l' UDLRCWidgetLayoutSpecifier.
  See Also:
    `GuigenPackage.getUDLRCSpecConstants()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER` The 'CENTER' literal object
    `DOWN` The 'DOWN' literal object
    `LEFT` The 'LEFT' literal object
    `RIGHT` The 'RIGHT' literal object
    `UP` The 'UP' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CENTER_VALUE` The 'CENTER' literal value
    `static int` | `DOWN_VALUE` The 'DOWN' literal value
    `static int` | `LEFT_VALUE` The 'LEFT' literal value
    `static int` | `RIGHT_VALUE` The 'RIGHT' literal value
    `static int` | `UP_VALUE` The 'UP' literal value
    `static java.util.List<UDLRCSpecConstants>` | `VALUES` A public read-only list of all the 'UDLRC Spec Constants' enumerators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UDLRCSpecConstants` | `get(int value)` Returns the 'UDLRC Spec Constants' literal with the specified integer value
    `static UDLRCSpecConstants` | `get(java.lang.String literal)` Returns the 'UDLRC Spec Constants' literal with the specified literal value
    `static UDLRCSpecConstants` | `getByName(java.lang.String name)` Returns the 'UDLRC Spec Constants' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static UDLRCSpecConstants` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UDLRCSpecConstants[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UP

          public static final UDLRCSpecConstants UP

      The 'UP' literal object.
      See Also:
        `UP_VALUE`

    - #### DOWN

          public static final UDLRCSpecConstants DOWN

      The 'DOWN' literal object.
      See Also:
        `DOWN_VALUE`

    - #### LEFT

          public static final UDLRCSpecConstants LEFT

      The 'LEFT' literal object.
      See Also:
        `LEFT_VALUE`

    - #### RIGHT

          public static final UDLRCSpecConstants RIGHT

      The 'RIGHT' literal object.
      See Also:
        `RIGHT_VALUE`

    - #### CENTER

          public static final UDLRCSpecConstants CENTER

      The 'CENTER' literal object.
      See Also:
        `CENTER_VALUE`

  - ### Field Detail

    - #### UP_VALUE

          public static final int UP_VALUE

      The 'UP' literal value.

      If the meaning of 'UP' literal object isn't clear, there really should be more of a description here...

      See Also:
        `UP`, Constant Field Values

    - #### DOWN_VALUE

          public static final int DOWN_VALUE

      The 'DOWN' literal value.

      If the meaning of 'DOWN' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DOWN`, Constant Field Values

    - #### LEFT_VALUE

          public static final int LEFT_VALUE

      The 'LEFT' literal value.

      If the meaning of 'LEFT' literal object isn't clear, there really should be more of a description here...

      See Also:
        `LEFT`, Constant Field Values

    - #### RIGHT_VALUE

          public static final int RIGHT_VALUE

      The 'RIGHT' literal value.

      If the meaning of 'RIGHT' literal object isn't clear, there really should be more of a description here...

      See Also:
        `RIGHT`, Constant Field Values

    - #### CENTER_VALUE

          public static final int CENTER_VALUE

      The 'CENTER' literal value.

      If the meaning of 'CENTER' literal object isn't clear, there really should be more of a description here...

      See Also:
        `CENTER`, Constant Field Values

    - #### VALUES

          public static final java.util.List<UDLRCSpecConstants> VALUES

      A public read-only list of all the 'UDLRC Spec Constants' enumerators.

  - ### Method Detail

    - #### values

          public static UDLRCSpecConstants[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UDLRCSpecConstants c : UDLRCSpecConstants.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UDLRCSpecConstants valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static UDLRCSpecConstants get(java.lang.String literal)

      Returns the 'UDLRC Spec Constants' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static UDLRCSpecConstants getByName(java.lang.String name)

      Returns the 'UDLRC Spec Constants' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static UDLRCSpecConstants get(int value)

      Returns the 'UDLRC Spec Constants' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<UDLRCSpecConstants>`